var BoneModel3D = function()
{
};
BoneModel3D.prototype = new Model3D();

BoneModel3D.prototype =
{
	init : function()
	{
		Model3D.prototype.init.call(this);
	},
	setMaterial : function(r,g,b,a,dif,amb,emi,spc,power,texture)
	{
		this._materials.push(new Material(r,g,b,a,dif,amb,emi,spc,power,texture));
	},
	setVertex : function(x,y,z,nx,ny,nz,material,bone)
	{
		this._vertices.push(x,y,z);
		this._normals.push(nx,ny,nz);
		this._material.push(~~(material));
	},
	setUV : function(u,v)
	{
		this._uvs.push(u,v);
	},
	getVerticesLength : function()
	{
		return ~~(this._vertices.length/3);
	},
	getColors : function()
	{
		return Model3D.prototype.getColors.call(this);
	},
	initBuffers : function()
	{
		Model3D.prototype.initBuffers.call(this);
	},
	draw : function()
	{
		if ( !this._visible )
		{
			return;
		}

		mvPushMatrix();

		Model3D.prototype.setVertices.call(this);

		_gl.drawArrays(_gl.TRIANGLES, 0, this.getVerticesLength() );

		mvPopMatrix();
	},
	addRotateY : function(delta)
	{
		Model3D.prototype.addRotateY.call(this,delta);
	},
	addRotateY2 : function(delta)
	{
		Model3D.prototype.addRotateY2.call(this,delta);
	},
};
